package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxMerchant;
import com.iformall.domain.dto.WxMerchantDto;
import com.iformall.domain.vo.WxMerchantTradeDetailVo;
import com.iformall.domain.vo.WxMerchantTradeVo;
import com.iformall.domain.vo.WxMerchantVo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WxMerchantMapper extends CommonMapper<WxMerchant, Long> {

	List<WxMerchant> findList(WxMerchant wxMerchant);
	List<WxMerchantVo> findListCVo(WxMerchantDto wxMerchantDto);
	WxMerchantVo getMerchantByCode(HashMap<String, String> params);

	WxMerchant queryMerchantByMerchantIdOfSharingReceiver(WxMerchant wxMerchant);

	List<WxMerchant> findQrcodeEmptyList();

	List<Map<String,Object>> findBusByFloorId(Map<String, Object> params);

	int hasMerchant(WxMerchant wxMerchant);

	List<WxMerchant> findListVo(WxMerchant record);

	void updateCreditLocked(WxMerchant wxMerchant);

	List<WxMerchantTradeVo> userTradeList(WxMerchant wxMerchant);

	List<WxMerchantTradeDetailVo> userTradeDetailList(WxMerchant wxMerchant);

	WxMerchant findByTrade(HashMap<String, String> params);
}
